Subject: Re: [bug#59822] [PATCH guix-artwork] website: base: home: Add 'DOWNLOAD LATEST' button.

From: zimoun <[email-masked]>
Date: Fri, 30 Dec 2022 13:21:50 +0100

Hi,

On Wed, 21 Dec 2022 at 14:40, Ludovic Courtès <[email-masked]> wrote:
> zimoun <[email-masked]> skribis:
>
>> The front page <https://guix.gnu.org/> contains the explicit version
>> number with the button «Download v1.3.0».  Why not, just remove this
>> version label and just have the button «Download»?
>
> Because people would be downloading the snapshot of the day, for which
> we haven’t done as much testing as during a regular release process.

I do not see why just the button «Download» instead of the button
«Download v1.4.0» would lead to people downloading something else than
the link, i.e., the webpage named <https://guix.gnu.org/en/download/>.

> The release process is not just ceremonial; over the last couple of
> months, we’ve put a lot of effort actually fixing things, in particular
> in the installer.  Releases make sense IMO.

Yes, for sure!  Release makes sense.  I do not think someone is
advocating for removing the release itself. :-)

>From my understanding, the patch is about discoverability of the latest
Download webpage; this one: <https://guix.gnu.org/en/download/latest/>.

I am still missing why from the Standard download webpage
<https://guix.gnu.org/en/download/>, the mention to the Latest download
webpage would be detrimental or confusing.

diff --git a/website/apps/base/templates/home.scm b/website/apps/base/templates/home.scm
index 7b72da8..5bbbd70 100644
--- a/website/apps/base/templates/home.scm
+++ b/website/apps/base/templates/home.scm
@@ -105,7 +105,7 @@ languages (EDSLs) to "
        (@ (class "action-box centered-text"))
        ,(button-big
          #:label (apply string-append
-                        (C_ "button" `("DOWNLOAD v" ,(latest-guix-version) "")))
+                        (C_ "button" '("DOWNLOAD")))
 	 #:url (guix-url "download/")
 	 #:light #true)
        " " ; A space for readability in non-CSS browsers.
diff --git a/website/apps/download/templates/download.scm b/website/apps/download/templates/download.scm
index bcf3cd2..9924917 100644
--- a/website/apps/download/templates/download.scm
+++ b/website/apps/download/templates/download.scm
@@ -65,7 +65,8 @@ Package manager") #\|)
           ,(G_ `(a (@ (href ,(gnu-url "software/shepherd"))) "GNU Shepherd"))
           " init system. Alternately, GNU Guix
           can be installed as an additional package manager on top of an
-          installed Linux-based system."))
+          installed Linux-based system.  The latest development snapshots are available"
+          ,(G_ `(a (@ (href ,(guix-url "download-latest/"))) "here."))))
 
       (div
        (@ (class "centered-text"))

Cheers,
simon